<ng-container *ngIf="loading$ | async">
    <app-page-loading/>
</ng-container>

<ng-container *ngIf="productos$ |async as productos">
    <app-title class="h1-title" titulo="Productos"></app-title>
    <div class="card">
        <p-toolbar>
        <div class="p-toolbar-group-start">
            <p-button icon="pi pi-plus" [routerLink]="['/productos/crear']" class="mr-2"/>
        </div>
        <div class="p-toolbar-group-center">
            <span class="p-input-icon-left">
                <i class="pi pi-search"></i>
                <p-autoComplete 
                    [(ngModel)]="selectedValue" 
                    [suggestions]="(suggestions$|async)!" 
                    (completeMethod)="search($event)" 
                    (onSelect)="onSelect($event)"
                    (onKeyUp)="onEnter($event)"
                    placeholder="Search">
                </p-autoComplete>
            </span>
        </div>
        <div class="p-toolbar-group-end">
            <p-menubar [model]="items">
            </p-menubar>
        </div>
        </p-toolbar>
    </div>

    <p-dataView #dv [value]="productos">
        <ng-template pTemplate="list" let-products>
            <div class="grid grid-nogutter">
                <div class="col-12" *ngFor="let item of products; let first = first" class="col-12">
                    <div class="flex flex-column sm:flex-row sm:align-items-center p-4 gap-3" [ngClass]="{ 'border-top-1 surface-border': !first }">
                        <div class="md:w-10rem relative">
                            <p-image 
                            class="block xl:block mx-auto border-round w-full"
                            [src]="'https://cdn5.dibujos.net/dibujos/pintados/202120/computadora-la-casa-la-habitacion-12272967.jpg'"
                            alt="Image" 
                            width="150" 
                            [preview]="true" />
                            <!-- <img class="block xl:block mx-auto border-round w-full" [src]="'https://cdn5.dibujos.net/dibujos/pintados/202120/computadora-la-casa-la-habitacion-12272967.jpg'" [alt]="item.nombre" /> -->
                        </div>
                        <div class="flex flex-column md:flex-row justify-content-between md:align-items-center flex-1 gap-4">
                            <div class="flex flex-row md:flex-column justify-content-between align-items-start gap-2">
                                <div>
                                    <span class="font-medium text-secondary text-sm">{{ item.category }}</span>
                                    <div class="text-lg font-medium text-900 mt-2">{{ item.nombre }}</div>
                                </div>
                            </div>
                            <div class="flex flex-column md:align-items-end gap-5">
                                <span class="text-xl font-semibold text-900">{{ item.precio | currency }}</span>
                                <div class="flex flex-row-reverse md:flex-row gap-2">
                                    <p-button *ngIf="item.disponibilidad" label="Retirar" severity="danger" icon="pi pi-times" (onClick)="setDisponibilidad(item.id)"/>
                                    <p-button *ngIf="!item.disponibilidad" label="Disponible" icon="pi pi-check" (onClick)="setDisponibilidad(item.id)"/>
                                    <p-button label="Edit" severity="success" icon="pi pi-pencil" [routerLink]="['/productos/producto',item.id]" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ng-template>
    </p-dataView>
    <div class="card flex justify-content-center">
        <p-paginator 
            (onPageChange)="onPageChange($event)"
            [rows]="rows" 
            [totalRecords]="totalElements" 
            [rowsPerPageOptions]="[10, 20, 30]" />
    </div>
</ng-container>